GET /api/v3/workflow/batch

Get batch workflow settings

GetBatchWorkflowV3 Permissions: BillsAndBatches (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

BatchWorkflowSettings
Property Description Type
accountPeriodName BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
accountPeriodYear BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
batchModeEnabled boolean
controlCode BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
dueDate BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
invoiceNumber BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
nextReading BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
statementDate BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
Example Response application/json
{  "accountPeriodName": {    "required": false,    "useField": false
  },  "accountPeriodYear": {    "required": false,    "useField": false
  },  "batchModeEnabled": false,  "controlCode": {    "required": false,    "useField": false
  },  "dueDate": {    "required": false,    "useField": false
  },  "invoiceNumber": {    "required": false,    "useField": false
  },  "nextReading": {    "required": false,    "useField": false
  },  "statementDate": {    "required": false,    "useField": false
  }
}